#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
%bcond_without	tests		# tests run

%define		module mimeparse
Summary:	Python 2.x module for parsing mime-type names
Summary(pl.UTF-8):	Moduł Pythona 2.x do analizy nazw typów MIME
Name:		python-%{module}
Version:	0.1.4
Release:	7
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/pypi/mimeparse
Source0:	https://pypi.python.org/packages/source/p/python-mimeparse/%{name}-%{version}.tar.gz
# Source0-md5:	1d2816a16f17dcfe0c613da611fe7e13
URL:		https://mimeparse.googlecode.com/
%{?with_python2:BuildRequires:	python-devel >= 1:2.5}
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides basic functions for parsing mime-type names and
matching them against a list of media-ranges.

%description -l pl.UTF-8
Ten moduł udostępnia podstawowe funkcje do analizy nazw typów MIME
oraz dopasowywania ich do listy zakresów mediów.

%package -n python3-%{module}
Summary:	Python 3.x module for parsing mime-type names
Summary(pl.UTF-8):	Moduł Pythona 3.x do analizy nazw typów MIME
Group:		Libraries/Python

%description -n python3-%{module}
This module provides basic functions for parsing mime-type names and
matching them against a list of media-ranges.

%description -n python3-%{module} -l pl.UTF-8
Ten moduł udostępnia podstawowe funkcje do analizy nazw typów MIME
oraz dopasowywania ich do listy zakresów mediów.

%prep
%setup -q

%build
%if %{with python2}
%py_build

%if %{with tests}
cd build-2
ln -sf ../testdata.json .
%{__python} ../mimeparse_test.py
cd ..
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
cd build-3
ln -sf ../testdata.json .
%{__python3} ../mimeparse_test.py
cd ..
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/mimeparse.py[co]
%{py_sitescriptdir}/python_mimeparse-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README
%{py3_sitescriptdir}/mimeparse.py
%{py3_sitescriptdir}/__pycache__/mimeparse.*.py[co]
%{py3_sitescriptdir}/python_mimeparse-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-mimeparse.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b8a0a67
- python 3.6
- release 7 (by relup.sh)

* Tue May 03 2016 Jan Rękorajski <baggins@pld-linux.org> f8f5034
- release 6 (by relup.sh)

* Sat Mar 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 373c09d
- updated python macros usage, run tests

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 35bf8c3
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 591b44c
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c8cbe35
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b0ad4a4
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ef9bb7f
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 826e2ab
- python 3.4
- release 2 (by relup.sh)

* Tue Dec 24 2013 Jakub Bogusz <qboosh@pld-linux.org> d5b1a0b
- switched to pypi source, updated to 0.1.4

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> c559bd6
- rebuild for fixed python eggs
- release 2 (by relup.sh)

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> e02d563
- new, version 0.1.3

